﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Surveys.Models
{
    public class MultiLanSurvey : BaseSurvey
    {
        public object Titles { get; set; }
    }
    public class Survey : BaseSurvey
    {
        public IEnumerable<SurveyTranslation> Titles { get; set; }
    }
    public class BaseSurvey
    {
        public int Id { get; set; }
        public bool IsEnabled { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public DateTime CreatedDate { get; set; }
    }
}
